- Qt 5.3
- Qt Multimedia
- C++ Classes
- QAudioRecorder
- Qt 5.3.2 Reference Documentation

# QAudioRecorder Class

The QAudioRecorder class is used for the recording of audio. More...

Header: | `#include <QAudioRecorder>`
qmake: | `QT += multimedia`
Inherits: | QMediaRecorder.

- List of all members, including inherited members

## Properties

- audioInput : QString

- 9 properties inherited from QMediaRecorder

## Public Functions

| QAudioRecorder(QObject * parent = 0)
| ~QAudioRecorder()
QString | audioInput() const
QString | audioInputDescription(const QString & name) const
QStringList | audioInputs() const
QString | defaultAudioInput() const

- 34 public functions inherited from QMediaRecorder
- 1 public function inherited from QMediaBindableInterface

## Public Slots

void | setAudioInput(const QString & name)

- 5 public slots inherited from QMediaRecorder

## Signals

void | audioInputChanged(const QString & name)
void | availableAudioInputsChanged()

- 13 signals inherited from QMediaRecorder

### Additional Inherited Members

- 1 protected function inherited from QMediaBindableInterface

## Detailed Description

The QAudioRecorder class is used for the recording of audio.

The QAudioRecorder class is a high level media recording class and contains the same functionality as QMediaRecorder.

    audioRecorder = new QAudioRecorder;

    QAudioEncoderSettings audioSettings;
    audioSettings.setCodec("audio/amr");
    audioSettings.setQuality(QMultimedia::HighQuality);

    audioRecorder->setEncodingSettings(audioSettings);

    audioRecorder->setOutputLocation(QUrl::fromLocalFile("test.amr"));
    audioRecorder->record();

In addition QAudioRecorder provides functionality for selecting the audio input.

    QStringList inputs = audioRecorder->audioInputs();
    QString selectedInput = audioRecorder->defaultAudioInput();

    foreach (QString input, inputs) {
        QString description = audioRecorder->audioInputDescription(input);
        // show descriptions to user and allow selection
        selectedInput = input;
    }

    audioRecorder->setAudioInput(selectedInput);

The Audio Recorder example shows how to use this class in more detail.

See also QMediaRecorder and QAudioInputSelectorControl.

## Property Documentation

### audioInput : QString

This property holds the active audio input name.

Access functions:

QString | audioInput() const
void | setAudioInput(const QString & name)

Notifier signal:

void | audioInputChanged(const QString & name)

## Member Function Documentation

### QAudioRecorder::QAudioRecorder(QObject * parent = 0)

Constructs an audio recorder. The parent is passed to QMediaObject.

### QAudioRecorder::~QAudioRecorder()

Destroys an audio recorder object.

### QString QAudioRecorder::audioInputDescription(const QString & name) const

Returns the readable translated description of the audio input device with name.

### QStringList QAudioRecorder::audioInputs() const

Returns a list of available audio inputs

### void QAudioRecorder::availableAudioInputsChanged()`[signal]`

Signal is emitted when the available audio inputs change.

### QString QAudioRecorder::defaultAudioInput() const

Returns the default audio input name.